> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuddles.care/llms.txt
> Use this file to discover all available pages before exploring further.

# List all appointments

> Gets the list of all appointments



## OpenAPI

````yaml GET /appointments
openapi: 3.0.1
info:
  title: Cuddles API v1
  description: Cuddles v1 Appointment stable
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.cuddles.care/v1
security:
  - bearerAuth: []
paths:
  /appointments:
    get:
      description: Gets the list of all appointments
      parameters:
        - name: page
          in: query
          description: Page number of the list
          schema:
            type: integer
            default: 1
            minimum: 1
        - name: limit
          in: query
          description: Number of records to return per page
          schema:
            type: integer
            default: 10
            maximum: 100
            minimum: 1
        - name: createdFrom
          in: query
          description: Start creation date of the record
          schema:
            type: string
            description: Format of the date should be ISO format
        - name: createdTo
          in: query
          description: End creation date of the record
          schema:
            type: string
            description: Format of the date should be ISO format
        - name: updatedFrom
          in: query
          description: Start updated date of the record
          schema:
            type: string
            description: Format of the date should be ISO format
        - name: updatedTo
          in: query
          description: End updated date of the record
          schema:
            type: string
            description: Format of the date should be ISO format
        - name: practiceId
          in: query
          description: ID of practice from which records need to be filtered
          schema:
            type: string
      responses:
        '200':
          description: List of all appointments
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppointmentArray'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AppointmentArray:
      type: object
      properties:
        total:
          type: integer
          example: 12
          description: Total count of the matched records
        data:
          type: array
          description: Array of appointment records
          items:
            type: object
          example:
            - appointmentType: Telehealth
              selectedPractice:
                id: oyster_creek_prac
                type: practice
                businessName: Oyster Creek Animal Hospital
              selectedServices:
                service1:
                  id: oyster_creek_service15
                  type: telehealth
                  title: 'Tele Triage: Free'
                  isMedicalRecordAdded: true
              selectedVeterinarian:
                id: oyster_vet2
                type: veterinarian
                firstName: Kevin
                lastName: Pina
                fullName: Dr. Kevin Pina
              appointmentDate: '2023-12-08T00:00:00-06:00'
              startTime: '2023-12-08T11:00:00-06:00'
              endTime: '2023-12-08T11:10:00-06:00'
              timeZone: null
              paymentDetails:
                id: pm_1NvjWLFqoVWwtVyeL2VGJbHI
                billingDetails:
                  address:
                    streetAddress: ''
                    city: ''
                    state: ''
                    country: US
                    zip: '77479'
                  email: ''
                  name: ''
                  phone: ''
                card:
                  brand: visa
                  country: US
                  expMonth: 12
                  expYear: 2029
                  funding: credit
                  last4: '4242'
                created: 1696004790
                sysData: {}
                type: paymentMethod
                paymentType: card
                default: null
                isDefault: false
              billingAddress:
                streetAddress: 3915 Bountiful Crest Ln
                aptSuiteOther: null
                city: Sugar Land
                state: Texas
                country: USA
                zip: '77479'
              status: Processed
              reasonForVisiting: null
              typeOfCustomer: null
              appointmentStatus: Completed
              timezone: America/Chicago
              images: {}
              appointmentNo: ICJH1G
              teleMeeting:
                id: 89241885822
                topic: Telehealth Meeting with James Hill
                startTime: '2023-12-08T17:00:00Z'
                duration: 10
                timezone: America/Chicago
                startUrl: >-
                  https://us02web.zoom.us/s/89241885822?zak=eyJ0eXAiOiJKV1QiLCJzdiI6IjAwMDAwMSIsInptX3NrbSI6InptX28ybSIsImFsZyI6IkhTMjU2In0.eyJhdWQiOiJjbGllbnRzbSIsInVpZCI6IjRObjdYblFiVHFpQVdSa24wNURMZEEiLCJpc3MiOiJ3ZWIiLCJzayI6IjAiLCJzdHkiOjEwMCwid2NkIjoidXMwMiIsImNsdCI6MCwibW51bSI6Ijg5MjQxODg1ODIyIiwiZXhwIjoxNzAyMDMwMTAyLCJpYXQiOjE3MDIwMjI5MDIsImFpZCI6IjdOYUNNRG91VG5pN0VNY1NSRGVrV1EiLCJjaWQiOiIifQ.R4YsdH8DVlLqI1fpK3Bhkf-yRGIAmwYUayQglUb5yZM
                joinUrl: >-
                  https://us02web.zoom.us/j/89241885822?pwd=cUw2alRTSHdlRk9jVWtsS0c3RG9YUT09
                passCode: '114943'
                dialInNumbers:
                  - country_name: US
                    city: Houston
                    number: +1 346 248 7799
                    type: toll
                    country: US
                  - country_name: US
                    city: San Jose
                    number: +1 669 900 9128
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 719 359 4580
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 253 205 0468
                    type: toll
                    country: US
                  - country_name: US
                    city: Tacoma
                    number: +1 253 215 8782
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 669 444 9171
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 689 278 1000
                    type: toll
                    country: US
                  - country_name: US
                    city: Washington DC
                    number: +1 301 715 8592
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 305 224 1968
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 309 205 3325
                    type: toll
                    country: US
                  - country_name: US
                    city: Chicago
                    number: +1 312 626 6799
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 360 209 5623
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 386 347 5053
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 507 473 4847
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 564 217 2000
                    type: toll
                    country: US
                  - country_name: US
                    city: New York
                    number: +1 646 558 8656
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 646 931 3860
                    type: toll
                    country: US
              selectedClient:
                id: 0c747669-5f73-4780-a6bf-59904f55a7d0
                type: client
                firstName: James
                lastName: Hill
                fullName: James Hill
                email:
                  main: cuddlestest@gmail.com
                clientBookingType: Existing Client Appointment
              selectedPatient:
                id: 00bd7782-8a58-4ff3-89da-76698bb9758c
                type: patientDog
                species: Dog
                patientName: Jimmy Gold
                patientBookingType: Existing Patient Appointment
              type: appointment
              id: cabbcea1-4923-4d92-bcaf-503874f38cf0
              checkedIn: '2023-12-08T02:55:13-06:00'
              checkedOut: '2023-12-08T02:55:38-06:00'
              processedTime: '2023-12-08T03:00:13-06:00'
            - appointmentType: Telehealth
              selectedPractice:
                id: oyster_creek_prac
                type: practice
                businessName: Oyster Creek Animal Hospital
              selectedServices:
                service1:
                  id: oyster_creek_service12
                  type: telehealth
                  title: 'Telehealth Consultation: Free'
                  isMedicalRecordAdded: true
              selectedVeterinarian:
                id: oyster_vet2
                type: veterinarian
                firstName: Kevin
                middleName: Bruce
                lastName: Pina
                fullName: Dr. Kevin Pina
              selectedClient:
                id: 0c747669-5f73-4780-a6bf-59904f55a7d0
                type: client
                firstName: James
                lastName: Hill
                fullName: James Hill
                phone:
                  home: 832 815 6279
                  work: 832 815 6279
                email:
                  main: cuddlestest@gmail.com
              selectedPatient:
                id: 00bd7782-8a58-4ff3-89da-76698bb9758c
                type: patientDog
                patientName: Jimmy Gold
                species: Dog
              appointmentDate: '2023-12-07'
              startTime: '2023-12-07T12:00:00-06:00'
              endTime: '2023-12-07T23:40:00+05:30'
              timezone: America/Chicago
              paymentDetails:
                id: pm_1O7doCFqoVWwtVyesJeBi6eR
                billingDetails:
                  address:
                    streetAddress: ''
                    city: ''
                    state: ''
                    country: US
                    zip: '77479'
                  email: ''
                  name: ''
                  phone: ''
                card:
                  brand: visa
                  country: US
                  expMonth: 12
                  expYear: 2029
                  funding: credit
                  last4: '4242'
                created: 1698842768
                sysData: {}
                type: paymentMethod
                paymentType: card
                default: null
                isDefault: false
                defaultValue: pm_1O7doCFqoVWwtVyesJeBi6eR
              billingAddress:
                streetAddress: 3915 Bountiful Crest Ln
                aptSuiteOther: null
                city: Sugar Land
                state: Texas
                country: USA
                zip: '77479'
                timezone: null
              status: Processed
              reasonForVisiting: null
              typeOfCustomer: null
              appointmentStatus: Completed
              patientType: Wellness
              images: {}
              appointmentNo: 4NBKOD
              teleMeeting:
                id: 86108100561
                topic: Telehealth Meeting with James Hill
                startTime: '2023-12-07T18:00:00Z'
                duration: 10
                timezone: America/Chicago
                startUrl: >-
                  https://us02web.zoom.us/s/86108100561?zak=eyJ0eXAiOiJKV1QiLCJzdiI6IjAwMDAwMSIsInptX3NrbSI6InptX28ybSIsImFsZyI6IkhTMjU2In0.eyJhdWQiOiJjbGllbnRzbSIsInVpZCI6IjRObjdYblFiVHFpQVdSa24wNURMZEEiLCJpc3MiOiJ3ZWIiLCJzayI6IjAiLCJzdHkiOjEwMCwid2NkIjoidXMwMiIsImNsdCI6MCwibW51bSI6Ijg2MTA4MTAwNTYxIiwiZXhwIjoxNzAxOTc1ODI5LCJpYXQiOjE3MDE5Njg2MjksImFpZCI6IjdOYUNNRG91VG5pN0VNY1NSRGVrV1EiLCJjaWQiOiIifQ.3LuUo6msWWrO-TXIG_eZwjEMQT3PtXPkFLaHeZ-2XEo
                joinUrl: >-
                  https://us02web.zoom.us/j/86108100561?pwd=MmFDR1dGeFRYcUxmU201dktUTXZxQT09
                passCode: '605259'
                dialInNumbers:
                  - country_name: US
                    city: Houston
                    number: +1 346 248 7799
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 719 359 4580
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 253 205 0468
                    type: toll
                    country: US
                  - country_name: US
                    city: Tacoma
                    number: +1 253 215 8782
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 669 444 9171
                    type: toll
                    country: US
                  - country_name: US
                    city: San Jose
                    number: +1 669 900 9128
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 305 224 1968
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 309 205 3325
                    type: toll
                    country: US
                  - country_name: US
                    city: Chicago
                    number: +1 312 626 6799
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 360 209 5623
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 386 347 5053
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 507 473 4847
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 564 217 2000
                    type: toll
                    country: US
                  - country_name: US
                    city: New York
                    number: +1 646 558 8656
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 646 931 3860
                    type: toll
                    country: US
                  - country_name: US
                    number: +1 689 278 1000
                    type: toll
                    country: US
                  - country_name: US
                    city: Washington DC
                    number: +1 301 715 8592
                    type: toll
                    country: US
              type: appointment
              id: cc7a14a5-a88d-4d91-931c-7ded7fe2c56e
              checkedIn: '2023-12-07T11:50:41-06:00'
              checkedOut: '2023-12-07T11:51:25-06:00'
              processedTime: '2023-12-07T11:58:52-06:00'
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: integer
          example: 400
        message:
          type: string
        code:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.